Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1060421

Summary: Review Request: python-plist - Accessing Apple Property Lists.
Product: [Fedora] Fedora Reporter: Matěj Cepl <mcepl>
Component: Package ReviewAssignee: Christopher Meng <i>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: i, mcepl, package-review
Target Milestone: ---Flags: i: fedora-review?
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-05-24 16:53:50 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1060440    

Description Matěj Cepl 2014-02-01 14:59:01 UTC
Spec URL: http://mcepl.fedorapeople.org/tmp//python-plist.spec
SRPM URL: http://mcepl.fedorapeople.org/tmp//python-plist-0.2-1.el7.src.rpm

Description:
Property Lists (plist) are used to serialize data on Mac OS X. Property
Lists come in two flavours: XML and binary. While the XML format is already
supported by :mod:`plistlib` module, this modules aims to implement both
formats and to expose them with an API more closely resembling that of
:mod:`json` or :mod:`pickle` modules.


 This is a Rename request for the former package 'False'

Comment 1 Matěj Cepl 2014-02-01 14:59:07 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6479765

Comment 2 Matěj Cepl 2014-02-01 15:01:24 UTC
I would also like it for EPEL-6 (requirement for calendarserver).

Comment 3 Christopher Meng 2014-02-14 02:02:54 UTC
1. changelog section is poor...

2. %if 0%{?rhel} && 0%{?rhel} < 7
%{!?__python2:        %global __python2 %{__python}}
%{!?python2_sitelib: %global python2_sitelib %{python_sitelib}}

3. No dot in Summary:            Accessing Apple Property Lists.

4. (In reply to Matěj Cepl from comment #0)

>  This is a Rename request for the former package 'False'

Waht's this?

Comment 4 Matěj Cepl 2014-02-14 21:32:14 UTC
(In reply to Christopher Meng from comment #3)

Updated SPEC file http://mcepl.fedorapeople.org/tmp/python-plist.spec
Updated SRPM http://mcepl.fedorapeople.org/tmp/python-plist-0.2-2.el7.src.rpm

> 4. (In reply to Matěj Cepl from comment #0)
> 
> >  This is a Rename request for the former package 'False'
> 
> Waht's this?

Nonsense added there by fedora-review.

Comment 5 Christopher Meng 2014-02-15 06:31:15 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 3 files have unknown license. Detailed output of
     licensecheck:

Unknown or generated
--------------------
plist-0.2/plist/__init__.py
plist-0.2/plist/encoder.py
plist-0.2/setup.py

[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python2.7/site-
     packages/plist(libplist-python)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python-plist-0.2-2.fc21.noarch.rpm
          python-plist-0.2-2.fc21.src.rpm
python-plist.noarch: W: spelling-error %description -l en_US flavours -> flavors, flours
python-plist.noarch: W: spelling-error %description -l en_US plistlib -> pluralist
python-plist.noarch: W: spelling-error %description -l en_US json -> son, j son
python-plist.src: W: spelling-error %description -l en_US flavours -> flavors, flours
python-plist.src: W: spelling-error %description -l en_US plistlib -> pluralist
python-plist.src: W: spelling-error %description -l en_US json -> son, j son
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-plist
python-plist.noarch: W: spelling-error %description -l en_US flavours -> flavors, flours
python-plist.noarch: W: spelling-error %description -l en_US plistlib -> pluralist
python-plist.noarch: W: spelling-error %description -l en_US json -> son, j son
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-plist (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-plist:
    python-plist



Source checksums
----------------
http://pypi.python.org/packages/source/p/plist/plist-0.2.tar.gz :
  CHECKSUM(SHA256) this package     : 531595d63ee4b7de6a168fc4ca715c475be9700de93455a7c73a176a1e1f3345
  CHECKSUM(SHA256) upstream package : 531595d63ee4b7de6a168fc4ca715c475be9700de93455a7c73a176a1e1f3345


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -rvn python-plist-0.2-2.el7.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

-----------------------------

WARNING: Potential conflicts with libplist-python. Please test.

Comment 6 Matěj Cepl 2014-02-15 08:17:26 UTC
(In reply to Christopher Meng from comment #5)
> [!]: Package does not own files or directories owned by other packages.
>      Note: Dirs in package are owned also by: /usr/lib/python2.7/site-
>      packages/plist(libplist-python)

> WARNING: Potential conflicts with libplist-python. Please test.

I wonder what's the better solution: to Conflict: libplist-python or to patch this package so it lives in another directory. You thoughts?

Comment 7 Christopher Meng 2014-02-15 08:23:32 UTC
(In reply to Matěj Cepl from comment #6)
> (In reply to Christopher Meng from comment #5)
> > [!]: Package does not own files or directories owned by other packages.
> >      Note: Dirs in package are owned also by: /usr/lib/python2.7/site-
> >      packages/plist(libplist-python)
> 
> > WARNING: Potential conflicts with libplist-python. Please test.
> 
> I wonder what's the better solution: to Conflict: libplist-python or to
> patch this package so it lives in another directory. You thoughts?

IMO the conflicts tag should be added, as they both provdies __init__.py and it's impossible to make them compatible with each other.

Comment 8 Matěj Cepl 2014-05-24 16:53:50 UTC
See bug 1060440 comment 15